summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorQuincey Koziol <koziol@hdfgroup.org>2009-07-21 19:39:40 (GMT)
committerQuincey Koziol <koziol@hdfgroup.org>2009-07-21 19:39:40 (GMT)
commit0c8e622e1acfe4dbf0d8dd25a514a231c08d388d (patch)
tree19388a211f93c4fd6135cad4ad9d25f41def7ab6 /bin
parentf383c2a622990b3164c45ac09dc9e8f2f64fe7dd (diff)
downloadhdf5-0c8e622e1acfe4dbf0d8dd25a514a231c08d388d.zip
hdf5-0c8e622e1acfe4dbf0d8dd25a514a231c08d388d.tar.gz
hdf5-0c8e622e1acfe4dbf0d8dd25a514a231c08d388d.tar.bz2
[svn-r17210] Description:
Bring r17157:17209 from trunk to revise_chunks branch. Tested on: FreeBSD/32 6.3 (duty) in debug mode FreeBSD/64 6.3 (liberty) w/C++ & FORTRAN, in debug mode Linux/32 2.6 (jam) w/PGI compilers, w/C++ & FORTRAN, w/threadsafe, in debug mode Linux/64-amd64 2.6 (smirom) w/Intel compilers w/default API=1.6.x, w/C++ & FORTRAN, in production mode Solaris/32 2.10 (linew) w/deprecated symbols disabled, w/C++ & FORTRAN, w/szip filter, in production mode Linux/64-ia64 2.6 (cobalt) w/Intel compilers, w/C++ & FORTRAN, in production mode Linux/64-ia64 2.4 (tg-login3) w/parallel, w/FORTRAN, in debug mode Linux/64-amd64 2.6 (abe) w/parallel, w/FORTRAN, in production mode Mac OS X/32 10.5.7 (amazon) in debug mode Mac OS X/32 10.5.7 (amazon) w/C++ & FORTRAN, w/threadsafe, in production mode
Diffstat (limited to 'bin')
-rwxr-xr-xbin/chkmanifest22
1 files changed, 21 insertions, 1 deletions
diff --git a/bin/chkmanifest b/bin/chkmanifest
index dd30144..4f70a6d 100755
--- a/bin/chkmanifest
+++ b/bin/chkmanifest
@@ -107,6 +107,21 @@ else
fi
fi
+# Check for duplicate entries. This can be done at any time, but it may as
+# well be sooner so that if something else fails the presence of duplicates
+# will already be known.
+errcode=0
+DUPLICATES=`perl -ne 's/#.*//; next if /^\s*$/; if ($uniq{$_}++) { print $_; }' MANIFEST`
+if [ "$DUPLICATES" ]; then
+ cat 1>&2 <<EOF
+These entries appear more than once in the MANIFEST:
+$DUPLICATES
+Please remove the duplicate lines and try again.
+
+EOF
+errcode=1
+fi
+
# Copy the manifest file to get a list of file names.
grep '^\.' MANIFEST | expand | cut -f1 -d' ' >$MANIFEST
@@ -117,6 +132,7 @@ for file in `cat $MANIFEST`; do
fi
done
+
# Inspect the .svn/entries to figure out what version of svn file entry is
# used.
# The following algorithm is formed via reverse engineering.
@@ -130,7 +146,7 @@ if head -1 $svn_entry_file | grep 'xml version="1.0"' > /dev/null 2>&1;then
elif grep '^file$' $svn_entry_file > /dev/null 2>&1; then
getsvnentries=GETSVNENTRIES_14
else
- echo "Unknow svn entries format. Aborted"
+ echo "Unknown svn entries format. Aborted"
exit 1
fi
@@ -155,5 +171,9 @@ EOF
exit 1
fi
+if [ $errcode > 0 ]; then
+ exit $errcode
+fi
+
test "$verbose" && echo " The MANIFEST is up to date." 1>&2
exit 0